$(function() {
  layerAlert.loading();
  showList();
  myPoints()

  function showList() {
    $.ajax({
      url: "http://" + $domain + $secdir + "/Points/goods_list",
      headers: { isajax: "1" },
      type: "post",
      timeout: "15000",
      dataType: "json",
      cache: "false",
      data: {},
      success: function(data) {
        console.log(data)
        if(data.point_banner){
          var bans = data.point_banner.pic
          bans=bans.split(",");
          var ban = '';
          for(var i=0;i<bans.length;i++){
            ban += '<div class="swiper-slide"><img src='+bans[i]+' alt="">'+
            '</div>'
          }
          $('.swiper-wrapper').html(ban)
          var mySwiper = new Swiper(".banner", {
            autoplay: 3000, //可选选项，自动滑动
            autoplayDisableOnInteraction: false,
            loop: true,
            pagination: ".banner-pag",
            paginationClickable: true,
            onInit: function(swiper) {
              //Swiper2.x的初始化是onFirstInit
              swiperAnimateCache(swiper); //隐藏动画元素
              swiperAnimate(swiper); //初始化完成开始动画
            },
            onSlideChangeEnd: function(swiper) {
              swiperAnimate(swiper); //每个slide切换结束时也运行当前slide动画
            }
          });
        }
        var htm = ''
        if(data.data.length>0){
          for(var i=0;i<data.data.length;i++){
            var xiaoliang = data.data[i].xiaoliang
            if(xiaoliang>=10000){
              xiaoliang = numFloor(xiaoliang/10000)+'w'
            }else if(!xiaoliang){
              xiaoliang = 0
            }
            htm +='<li><a href="../Points/points_goods.html?id='+data.data[i].id+'"><div class="goods_info">'+
            '<img src='+data.data[i].plogo+' alt="">'+
            '<div class="goods_item">'+
            '<p class="goods_title">'+data.data[i].pname+'</p>'+
            '<div class="convert">'+
            '<span class="points">'+numFloor(data.data[i].totalpoints)+'积分</span>'+
            '<span class="accomplish">已兑换'+xiaoliang+'</span>'+
            '</div>'+
            '<p class="goods_foot">'+
            '最少抵用<span class="points">'+numFloor(data.data[i].minpoints)+'积分</span>'+
            '</p></div></div></a></li>'
          }
        }else{
          htm='<div class="null_goods">暂无商品~</div>'
        }
        $('.list').html(htm)
        layer.closeAll("loading");
      },
      error: function(err) {
        layer.closeAll("loading");
        var str = "";
        str += '<li class="action" style="display:block">';
        str += '<div"></div>';
        str += '<div class="kuangs">';
        str += '<img src="../images/ui/public/errorpage.png" class="kongs">';
        str += '<div class="kongws">页面加载失败，请检查网络</div>';
        str +=
          '<button type="button" class="kongbtn" onclick="reqAgain()">重新加载</button>';
        str += "</div>";
        str += "</li>";
        $(".goods").html(str);
      },
      xhrFields: {
        withCredentials: true
      }
    });
  }
  function myPoints(){
    $.ajax({
      url: "http://" + $domain + $secdir + "/Points/points_info",
      headers: { isajax: "1" },
      type: "post",
      timeout: "15000",
      dataType: "json",
      cache: "false",
      data: {},
      success: function(data) {
        console.log(data);
        if(data.errcode==201){
          window.location = '../Login/login.html';
        }
        if(data.data){
          $('.user_points').html(data.data.userpoint)
        }else{
          $('.user_points').html('0')
        }
      },
      error: function(err) {
        var str = "";
        str += '<li class="action" style="display:block">';
        str += '<div"></div>';
        str += '<div class="kuangs">';
        str += '<img src="../images/ui/public/errorpage.png" class="kongs">';
        str += '<div class="kongws">页面加载失败，请检查网络</div>';
        str +=
          '<button type="button" class="kongbtn" onclick="reqAgain()">重新加载</button>';
        str += "</div>";
        str += "</li>";
        $(".mescroll").html(str);
      },
      xhrFields: {
        withCredentials: true
      }
    });
  }
  $(".left_my").click(function() {
    location.href = "../My/my.html";
  });
});
function reqAgain() {
  location.reload();
}
