$(function() {
  var sort=''
  var id = getQueryString("id");
  console.log(id);
  //创建MeScroll对象,内部已默认开启下拉刷新,自动执行up.callback,刷新列表数据;
  var mescroll = new MeScroll("mescroll", {
    up: {
      callback: getListData, //上拉回调,此处可简写; 相当于 callback: function (page, mescroll) { getListData(page); }
      isBounce: false, //此处禁止ios回弹,解析(务必认真阅读,特别是最后一点): http://www.mescroll.com/qa.html#q10
      clearEmptyId: "goods", //相当于同时设置了clearId和empty.warpId; 简化写法;默认null; 注意vue中不能配置此项
      warpId: "upscrollWarp", //让上拉进度装到upscrollWarp里面
      lazyLoad: {
        use: true // 是否开启懒加载,默认false
      },
      toTop: {
        //回到顶部按钮
        src: "../images/ui/my/top.png", //图片路径,默认null,支持网络图
        offset: 1000 //列表滚动1000px才显示回到顶部按钮	
      }
    }
  });

  var navWarp = document.getElementById("navWarp");
  var body = document.querySelector("body");
    //android和pc端悬停效果,通过监听mescroll的scroll事件,控制navContent是否为fixed定位来实现
    navWarp.style.height = navWarp.offsetHeight + "px"; //固定高度占位,避免悬浮时列表抖动
    var navContent = document.getElementById("navContent");
    mescroll.optUp.onScroll = function(mescroll, y, isUp) {
      if (y >= navWarp.offsetTop) {
        navContent.classList.add("nav-fixed");
        body.classList.add('body_img')
      } else {
        navContent.classList.remove("nav-fixed");
        body.classList.remove('body_img')
      }
    };
  $(".tab span").each(function(index) {
    $(".tab span")
      .eq(index)
      .click(function() {
        $(".tab span")
          .eq(index)
          .attr("class", "startStyle")
          .siblings()
          .attr("class", "");
          if(index==0){
            $('.goods').html('')
            $('.tab div').attr("class","")
            mescroll.resetUpScroll();
          }else if(index==1){
            $('.goods').html('')
            $('.tab div').attr("class","")
            mescroll.resetUpScroll();
          }
      });
  });
  $('.tab div').click(function(){
    if($(this).hasClass("pospri")){
      $(this).removeClass("pospri");
      $(this).addClass("revpri ");
    }else{
      $(this).addClass("pospri");
      $(this).removeClass("revpri");
    }
    mescroll.resetUpScroll();
  })
  /*联网加载列表数据  page = {num:1, size:10}; num:当前页 从1开始, size:每页数据条数 */
  function getListData(page) {
    getListDataFromNet(
      page.num,
      page.size,
      function(curPageData) {
        mescroll.endSuccess(curPageData.length);
        setListData(curPageData);
      },function() {
        mescroll.endErr();
      }
    );
  }

  /*设置列表数据*/
  function setListData(curPageData) {
    console.log(curPageData)
    var listDom = document.getElementById("goods");
    for (var i = 0; i < curPageData.length; i++) {
      var pd = curPageData;
      for(var j = 0;j<pd.length;j++){
        if(pd[i].licai==0){
          var zhuang = "li"
        }else{
          var zhuang = "fei"
        }
      }
      var str =
      '<li><a href="../Goods/index.html?id='+pd[i].id+'&zhuang='+zhuang+'"><div class="img_box2"><img src="'+pd[i].pic[0]+'" alt=""></div>'+
      '<p class="goods_name">'+pd[i].title+'</p>'+
      '<p class="goods_btm">'+
      '<span class="money">¥'+pd[i].price+'</span>'+
      '<span class="sount">'+pd[i].xiaoliang+'人付款</span>'+
      '</p></a></li>'
      var liDom = document.createElement("li");
      liDom.innerHTML = str;
      listDom.appendChild(liDom);
    }
  }
  function getListDataFromNet(
    pageNum,
    pageSize,
    successCallback,
    errorCallback
  ) {
     // 销量 新品排序
     var $data = $(".startStyle").attr("i");
     var $revpri  = $(".revpri ").attr("i");
     var $pospri = $(".pospri ").attr("i");
     var sort = ''
     if($data==0){
       sort = 'xiaoliang'
     }else if($data==1){
       sort = 'create_time'
     }
     // 价格排序
     // 价格升序
     if($pospri==2){
       sort = 'pospri'
     }
     // 价格降序
     if($revpri==2){
       sort = 'revpri'
     }
     console.log(pageNum)
    $.ajax({
      url: "http://" + $domain + $secdir + "/StoreGoods/index_ajax",
      type: "get",
      timeout: "3000",
      dataType: "json",
      headers: { isajax: "1" },
      cache: "false",
      data: {
        id: id,
        sort:sort,
        p:pageNum
      },
      success: function(data) {
        console.log(data);
        var store = '<p class="name">'+data.store_info.goldbank_name+'</p><img src="../images/public/right.png" alt="">'
      $('.left_name').html(store)
      var phone = '<img src="../images/public/phone.png" alt="">'+data.store_info.phone
      $('.phone').html(phone)
      $('.left_name').click(function(){
        window.location.href = '../Store/store_info.html?id='+data.store_info.id
      })
      successCallback(data.storegoodslist)
      },
      error: function(){
        errorCallback
        var str = "";
        str += '<li class="action" style="display:block">';
        str += '<div class="kuangs">';
        str += '<img src="../images/ui/public/errorpage.png" class="kongs">';
        str += '<div class="kongws">页面加载失败，请检查网络</div>';
        str += '<button type="button" class="kongbtn" onclick="onreload()">重新加载</button>';
        str += '</div>';
        str += '</li>';
        $("#upscrollWarp").html(str);
      },
      xhrFields: {
        withCredentials: true
      }
    });
  }
  $('.left_btn').click(function(){
    window.history.go(-1)
  })
});
function onreload() {
  location.reload();
}
