var order_id = getQueryString("order_id");
$(function() {
  $.ajax({
    url: "http://" + $domain + $secdir + "/Recovery/recoveryOrder_info",
    headers: {
      isajax: "1"
    },
    type: "post",
    dataType: "json",
    cache: "false",
    data: {
      order_id: order_id
    },
    success: function(data) {
      data = urlReplaceServerJson(data);
      $("#infoscript").tmpl(data).appendTo("#infotmpl");
    },
    error: function(err) {
      var str = "";
      str += '<li class="action" style="display:block">';
      str += '<div class="kuangs">';
      str += '<img src="../images/ui/public/errorpage.png" class="kongs">';
      str += '<div class="kongws">页面加载失败，请检查网络</div>';
      str += '<button type="button" class="kongbtn" onclick="reqAgain()">重新加载</button>';
      str += "</div>";
      str += "</li>";
      $("#infotmpl").html(str);
    },
    xhrFields: {
      withCredentials: true
    }
  });
});
// 取消订单 -- 二次确认弹框
function cancel_tip() {
  layer.confirm(
    "确定取消订单吗？",
    {
      btn: ["确定", "取消"] //按钮
    },
    function() {
      cancel_order1();
    },
    function() {}
  );
  $(".layui-layer-title").html("提示：");
  $(".layui-layer-btn a").css({
    "font-size": "0.6rem",
    color: "#fff",
    border: "none"
  });
  $(".layui-layer-btn1").css("background", "#424242");
  $(".layui-layer-btn0").css("background", "#E6BE6B");
}

// 取消订单
function cancel_order1() {
  $.ajax({
    url: "http://" + $domain + $secdir + "/Recovery/cancel_order",
    type: "post",
    timeout: "3000",
    dataType: "json",
    headers: { isajax: "1" },
    cache: "false",
    data: {
      order_id: order_id
    },
    success: function(data) {
      if (data.errcode == 100) {
        window.location = "../Recovery/gold_list.html?state=0";
      } else {
        layerAlert.deletes();
      }
    },
    error: function(err) {
      console.log(err);
    },
    xhrFields: {
      withCredentials: true
    }
  });
}
// 确认收款弹窗确认
function confirm_tip() {
  layer.confirm(
    "您是否已经收到返还金额，确认后订单将不可修改。",
    {
      btn: ["确定", "取消"] //按钮
    },
    function() {
      confirm_money();
    },
    function() {}
  );
  $(".layui-layer-title").html("提示：");
  $(".layui-layer-btn a").css({
    "font-size": "0.6rem",
    color: "#fff",
    border: "none"
  });
  $(".layui-layer-btn1").css("background", "#424242");
  $(".layui-layer-btn0").css("background", "#E6BE6B");
}
// 确认收款
function confirm_money() {
  $.ajax({
    url: "http://" + $domain + $secdir + "/Recovery/shoukuan",
    type: "post",
    timeout: "3000",
    dataType: "json",
    headers: { isajax: "1" },
    cache: "false",
    data: {
      order_id: order_id
    },
    success: function(data) {
      if (data.errcode == 100) {
        window.location.href = window.location.href;
      } else {
        layer.msg("收款失败", {
          icon: 2
        });
      }
    },
    error: function(err) {
      console.log(err);
    },
    xhrFields: {
      withCredentials: true
    }
  });
}
function reqAgain() {
  location.reload();
}
