var $title = "";
var	order_id = getQueryString("order_id");
var payment_num;
$(function() {
  showBalance();
  queryOrderLi();
  layerAlert.loading();
});
function showBalance() {
  $.ajax({
    url: "http://" + $domain + $secdir + "/Account/account_info",
    dataType: "json",
    headers: { isajax: "1" },
    data: {},
    type: "post",
    success: function(res) {
      if (res.errcode == 100) {
        $("#balaner").html(res.data.balance);
      } else if (res.errcode == 201) {
        $(".login_btn").removeClass("hide");
      }
    },
    error: function(res) {
      layerAlert.error();
    },
    xhrFields: {
      withCredentials: true
    }
  });
}
function queryOrderLi() {
  $.ajax({
    url: "http://" + $domain + $secdir + "/GoldPrice/agileGoldGoodsOrder_info",
    type: "post",
    dataType: "json",
    headers: {
      isajax: "1"
    },
    cache: "false",
    data: {
      order_id:order_id
    },
    success: function(data) {
      console.log(data);
      if (
        $.isEmptyObject(data) ||
        $.isEmptyObject(data.data) ||
        $.isEmptyObject(data.data.orderdetails)
      ) {
        errorpage();
      } else {
        var order_data = data.data.orderdetails;
        $('#order_id').val(order_data.order_num)
        $('#payment_num').val(order_data.payment_num)
        payment_num =  $('#payment_num').val()
        $(".give_sum").html(
          '¥ <span class="qian">' + order_data.postage + "</span>"
        );
        $title = '请您是否确认支付邮费，确认后将无法退款';
      }
      layer.closeAll("loading");
    },
    error: function(err) {
      errorpage();
    },
    xhrFields: {
      withCredentials: true
    }
  });
}
function pay_box(e) {
  $(".pay_box li .btn_onoff").removeClass("btn_on");
  $(e)
    .find(".btn_onoff")
    .addClass("btn_on");
  var datapay = $(e).attr("data-pay");
  $("#paytype").val(datapay);
}
function pays() {
  layer.confirm(
    $title,
    {
      btn: ["确定", "取消"]
    },
    function() {
      var $pay_box = $("#paytype").val();
      if ($pay_box == 3) {
        layerAlert.loading2("发起邮费支付...");
        weixinpay();
      } else if ($pay_box == 1) {
        alipaypay();
      } else if ($pay_box == 2) {
        lianpay();
      } else if ($pay_box == 4) {
        layerAlert.loading2("余额支付中...");
        balance();
      } else {
        layerAlert.alertError("发起支付失败，请联系客服");
        return;
      }
    },
    function() {
      layer.msg("您已取消支付", {
        icon: 2
      });
    }
  );
}
function alipaypay() {
  window.location = "../GoldPrice/goalipay.html?payment_num=" + payment_num+"&order_id="+order_id;
}
function weixinpay() {
  $.ajax({
    url: "http://" + $domain + $secdir + "/GoldPrice/postageWxAppPay",
    headers: {
      isajax: "1"
    },
    type: "post",
    dataType: "json",
    cache: "false",
    data: {
      payment_num: payment_num
    },
    success: function(data) {
      layer.closeAll("loading");
      try {
        var partenW = window.parent;
        var parentDiv = partenW.document.getElementById("cordovaContent"); // 父窗口中定义的div
        var parentModel = partenW.justep.Bind.contextFor(parentDiv).$model;
        parentModel.payOrderByWeixin2(data.data.prepayid, success, error); // 父窗口model中定义的函数
      } catch (e) {
        layerAlert.msgError("发起微信支付失败");
        return;
      }
    },
    error: function(err) {
      console.log(err);
    },
    xhrFields: {
      withCredentials: true
    }
  });
}
// 微信支付成功
function success() {
  window.location.href="GoldPrice/paysuccess.html?payment_num="+payment_num + "&order_id=" + order_id;
}
// 微信支付失败
function error() {
	window.location.href="GoldPrice/payerror.html?payment_num="+payment_num+"&order_id="+order_id;
}
	// 余额支付
	function balance() {
		$.ajax({
			url : "http://" + $domain + $secdir + "/GoldPrice/postagepay_order",
			headers : {
				isajax : "1"
			},
			type : "get",
			dataType : "json",
			cache : "false",
			data : {
				payment_num : payment_num
			},
			success : function(data) {
				console.log('=====data======'+JSON.stringify(data));
				layer.closeAll("loading");
				if (data.errcode == 100) {
					window.location.href = "../GoldPrice/paysuccess.html?num="+payment_num+"&order_id="+order_id;
				} else if (data.errcode == 101) {
					window.location.href = "../Login/login.html";
				} else if (data.errcode == 201) {
					layerAlert.alertError(data.errmsg);
				} else if (data.errcode == 301) {
					layerAlert.alertError(data.errmsg);
				} else if (data.errcode == 401) {
					layerAlert.alertError(data.errmsg);
				} else{
					layerAlert.alertError('余额支付失败,请重试');
				}
			},
			error : function(err) {
				console.log('error:'+JSON.stringify(err));
				layerAlert.alertError('余额支付失败,请重试');
			},
			xhrFields : {
				withCredentials : true
			}
		});
	}
