function is_login() {
	$.ajax({
        url:'http://'+$domain+$secdir+'/My/my_ajax',
        type:'post',
        timeout:"3000",
        dataType : 'json',
        headers:{'isajax':'1'},
        cache:"false",
        data:{

        },
        success:function(data){
        	console.log(data);
            if(typeof(data.is_login) != 'undefined' && data.is_login == false){
        		window.location = '../Login/login.html';
        	}else{
        		window.location = '../My/my.html';
        	}
        },
        error:function(err){
            console.log(err);
        },
        xhrFields:{
            withCredentials: true
        }
    });
}


// 判断用户登录状态
function is_login_state(_a) {
	$.ajax({
        url:'http://'+$domain+$secdir+'/My/my_ajax',
        type:'post',
        timeout:"3000",
        dataType : 'json',
        headers:{'isajax':'1'},
        cache:"false",
        data:{},
        success:function(data){
//        	console.log(data);
            if(typeof(data.is_login) != 'undefined' && data.is_login == false){
            	$(_a).attr('onclick', 'gologin()');
            	$(_a).text('去登陆');
            }
        },
        error:function(err){
            console.log(err);
        },
        xhrFields:{
            withCredentials: true
        }
    });
}

//判断用户登录状态 -- V1.1版本，带参数跳转
function is_login_state(_a, _toPage) {
	$.ajax({
        url:'http://'+$domain+$secdir+'/My/my_ajax',
        type:'post',
        timeout:"3000",
        dataType : 'json',
        headers:{'isajax':'1'},
        cache:"false",
        data:{},
        success:function(data){
//        	console.log(data);
            if(typeof(data.is_login) != 'undefined' && data.is_login == false){
            	$(_a).attr('onclick', 'gologin("'+ _toPage +'")');
            	$(_a).text('去登陆');
            }
        },
        error:function(err){
            console.log(err);
        },
        xhrFields:{
            withCredentials: true
        }
    });
}

function gologin(){
	window.location = '../Login/login.html';
}

// V1.1版本，带参数跳转
function gologin(_toPage){
	window.location = '../Login/login.html'+_toPage;
}

//获得url参数
function getQueryString(name) {
      var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
      var r = window.location.search.substr(1).match(reg);
      if (r != null) return decodeURI(r[2]); return '';
}



//参数：prop = 属性，val = 值
function createJson(str1,prop, val) {
 // 如果 val 被忽略
 if(typeof val === "undefined") {
     // 删除属性
     delete str1[prop];
 }
 else {
     // 添加 或 修改
     str1[prop] = val;
 }
}

/**
 * 验证电话号码（手机号码）
 * 
 * @param obj
 * @returns {Boolean}
 */
function checkTelPhone(obj) {
	if (/^1[3456789]\d{9}$/.test(obj)) {
		return true;
	}
	return false;
}

/**
 * 验证电话号码（手机号码+电话号码）
 * 
 * @param obj
 * @returns {Boolean}
 */
function checkPhoneNum(obj) {
	if (/^((\d{3}-\d{8}|\d{4}-\d{7,8})|(1[3|4|5|6|7|8|9][0-9]{9}))$/.test(obj)) {
		return true;
	}
	return false;
}

/**
 * 用途：检查输入字符串是否为空或者全部都是空格 输入：str 返回： 如果全是空返回true,否则返回false
 */
function isNull(str) {
	if (str == "")
		return true;
	var regu = "^[ ]+$";
	var re = new RegExp(regu);
	return re.test(str);
}

/**
 * 判断对象是否为空
 * @param rec
 * @returns
 */
function ObjIsNUll(rec){
	
	return (rec == null || rec == '') ? false : true;
}

/**
 * 判断对象是否为空
 * @param rec
 * @returns
 */
function isEmptyObject(rec){
	
	return $.isEmptyObject(rec);
}

/**
 * 用途：检查输入的值是否为纯数字；主要用于验证码验证
 */
function isNumber(str) {
	var regu = /^\d{4}$/;
	return regu.test(str);
}

/**
 * 邀请码判断 ： 6-16字节，允许字母数字
 */
function IsInviteCode(str) {
	reg = /^[a-zA-Z0-9]{6,15}$/; // 6-16字节，允许字母数字
	if (reg.test(str)) {
		return true;
	}
	return false;
}

/**
 * 用途：检查输入字符串是否只由汉字、字母、数字组成
 */
function isChinaOrNumbOrLett(s) {// 判断是否是汉字、字母、数字组成
	var regu = "[a-zA-Z0-9\u4e00-\u9fa5]+";
	var re = new RegExp(regu);
	if (re.test(s)) {
		return true;
	} else {
		return false;
	}
}

/**
 * 验证大陆的身份证号 验证身份证号 身份证号码为15位或18位的全数字， 或者18位时前17位是数字，最后一位是校验位， 可能是数字或字符X或x
 * 
 * @param obj
 */
function checkIdCard(obj) {
	if (/(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/.test(obj)) {
		return true;
	}
	return false;
}
/**
 * 	//去掉所有的html标记
 * @param str
 * @returns
 */
function delHtmlTag(str){
	return str.replace(/<[^>]+>/g,"");
}

/**
 * 	//替换URL路径
 * @param str 值， str1 被替换值， str2 替换值
 * @returns
 */
function urlReplace(str, str1, str2){
	//第一个参数是要替换掉的内容，第二个参数"g"表示替换全部（global）。
	re = new RegExp(str1,"g"); //定义正则表达式
	var Newstr = str.replace(re, str2); //第一个参数是正则表达式。
	return Newstr;
}

/**
 * 	替换URL路径 -- 为当前项目路径
 * @param str 值
 * @returns
 */
function urlReplaceLocal(str){
	//第一个参数是要替换掉的内容，第二个参数"g"表示替换全部（global）。
	re = new RegExp($repImgurl,"g"); //定义正则表达式
	var Newstr = str.replace(re, $replaceurl); //第一个参数是正则表达式。
	return Newstr;
}

/**
 * 	替换URL路径 -- 为当前项目路径
 * @param str 值
 * @returns
 */
function urlReplaceLocal2(str){
	//第一个参数是要替换掉的内容，第二个参数"g"表示替换全部（global）。
	re = new RegExp($repImgurl2,"g"); //定义正则表达式
	var Newstr = str.replace(re, $replaceurl); //第一个参数是正则表达式。
	return Newstr;
}

/**
 * 	替换URL路径 -- 为当前测试服务器路径
 * @param str 值
 * @returns
 */
function urlReplaceServer(str){
	//第一个参数是要替换掉的内容，第二个参数"g"表示替换全部（global）。
	re = new RegExp($upimgurl,"g"); //定义正则表达式
	var Newstr = str.replace(re, $domain); //第一个参数是正则表达式。
	return Newstr;
}

/**
 * 	替换URL路径 -- 为当前测试服务器路径
 * @param str 值
 * @returns
 */
function urlReplaceServerJson(req){
	return eval('(' + urlReplaceServer(JSON.stringify(req)) + ')');
}

/**
 * 	替换URL路径 -- 为当前项目路径
 * @param str 值
 * @returns
 */
function urlReplaceLocal3(str){
	//第一个参数是要替换掉的内容，第二个参数"g"表示替换全部（global）。
	re = new RegExp($repHtmlUrl,"g"); //定义正则表达式
	var Newstr = str.replace(re, $newHtmlUrl); //第一个参数是正则表达式。
	return Newstr;
}

// html转义
function htmlEncode(value){  
	return $('<div/>').text(value).html();  
}  

//Html解码获取Html实体  
function htmlDecode(value){  
	return $('<div/>').html(value).text();  
}  

/**
 * 	json 数据整理
 */
function jsonDataSlice(listJson, listData){
	listData = listJson.slice(0, 10);	// 截取数据赋值给新元素
	listJson.splice(0, 10);	// 删除数据指定条数数据
	return listData;
}


/**
 *  截取字符串展示
**/
function subStr(data){
	if(data.length <= 15){
		return data;
	}
	return data.substr(0,10) + "****" + data.substr(-5);
}

/**
 *  截取字符串展示
**/
function subIdCardsData(IdCardsData){
	if(IdCardsData.length <= 15){
		return IdCardsData;
	}
	return IdCardsData.substr(0,3) + "*********" + IdCardsData.substr(-5);
}
// 小数转化百分比
function toPercent(point){
	var str=Number(point*100).toFixed(1);
	str+="%";
	return str;
}

//小数转化百分比
function toPercent2(point){
	var str=Number(point*100).toFixed(2);
	str+="%";
	return str;
}
//全局公用的对数据脱敏处理方法  参数可以是单个也可以是多个，但是格式必须是字符串
function publicDesensitization(){
    //先将内置的 arguments 转换为真正的数组
    var dataArr = Array.prototype.slice.apply(arguments);
    for (var i = 0; i < dataArr.length; i++) {
        var data = dataArr[i];
        // 正则判断返回相应数据
        if(/(^\d{18}$)|(^\d{17}(\d|X|x)$)/.test(data) || /^(13[0-9]|16[0-9]|19[0-9]|147|15[0-9]|17[6-8]|18[0-9])\d{8}|17[0-9]\d{8}$/.test(data) || /(^(?:(?![IOZSV])[\dA-Z]){2}\d{6}(?:(?![IOZSV])[\dA-Z]){10}$)|(^\d{15}$)/.test(data)){
            //身份证号 || 手机号  ||  营业执照    前三后四
            data = data.substr(0,3) + "****" + data.substr(-5);
        }else if(/^(\w)+(\.\w+)*@(\w)+((\.\w+)+)$/.test(data)){
            //邮箱号码  前二 后以 @ 分割
            data = data.substr(0,2) + "****" + data.substr(data.indexOf('@'));
        }else if(/^\d{16}|\d{19}$/.test(data)){
            //银行卡号  后四位
            data = "****" + data.substr(-4);
        }else if(data.indexOf('公司') > -1){
            //企业名称  前二后四
            data = data.substr(0,2) + "****" + data.substr(-4);
        }else{
            return;
        }
        dataArr[i] = data;
    }
    return dataArr;
}