// 字符串转时间 -- 完整时间格式
function strTODate(oDate){
	return new Date(oDate);
}

//字符串转时间 -- yyyy-MM-dd
/**
function strTODateYMD(oDate){
	return StringToDate(oDate).Format('yyyy/MM/dd');
}


//字符串转时间 -- 针对 IOS 不识别 yyyy-MM-dd 格式日期的处理
function strTODateWz(oDate){
	return new Date(oDate.replace(/-/g, '/'));
}
**/
// 例: formatDate('1980-02-03 22:22:22', 'yyyy/MM/dd hh:mm:ss')
var formatDate = function (dateStr) {
	  if (!dateStr) {
	    return "";
	  }
	 
	  if (typeof dateStr === "string") {
	    if (dateStr.indexOf(".") > -1) {
	      // 有些日期接口返回带有.0。
	      dateStr = dateStr.substring(0, dateStr.indexOf("."));
	    }
	    // 解决IOS上无法从dateStr parse 到Date类型问题
	    dateStr = dateStr.replace(/-/g, '/');
	  }
	  return new Date(dateStr).Format('yyyy/MM/dd hh:mm:ss');
	};
	
	// 例: formatDate('02-03 22:22', 'MM月dd日 hh:mm')
	var formatDateForMon = function (dateStr) {
		  if (!dateStr) {
		    return "";
		  }
		 
		  if (typeof dateStr === "string") {
		    if (dateStr.indexOf(".") > -1) {
		      // 有些日期接口返回带有.0。
		      dateStr = dateStr.substring(0, dateStr.indexOf("."));
		    }
		    // 解决IOS上无法从dateStr parse 到Date类型问题
		    dateStr = dateStr.replace(/-/g, '/');
		  }
		  return new Date(dateStr).Format('MM月dd日 hh:mm');
		};
		
		// 例: formatDate('22:22', 'hh:mm')
		var formatDateForHour = function (dateStr) {
			  if (!dateStr) {
			    return "";
			  }
			 
			  if (typeof dateStr === "string") {
			    if (dateStr.indexOf(".") > -1) {
			      // 有些日期接口返回带有.0。
			      dateStr = dateStr.substring(0, dateStr.indexOf("."));
			    }
			    // 解决IOS上无法从dateStr parse 到Date类型问题
			    dateStr = dateStr.replace(/-/g, '/');
			  }
			  return new Date(dateStr).Format('hh:mm');
			};

//当前时间
function nowData(){
	return new Date();
}

// 判断活动时间 - 与当前时间比较
function isActEnd(actEnd){
	if (typeof actEnd == 'string'){// 如果是字符串转换为日期型
		actEnd = strTODate(actEnd);
	}
	// 当前时间 减 actEnd 时间
	var _dateEnd = actEnd.DateDiff('s', nowData());
	return _dateEnd;
}


// 判断活动时间  actStart,actEnd 比较
function isActStartEnd(actStart, actEnd){
	if (typeof actStart == 'string'){// 如果是字符串转换为日期型
		actStart = strTODate(actStart.split(' ')[0]);
	}
	if (typeof actEnd == 'string'){// 如果是字符串转换为日期型
		actEnd = strTODate(actEnd.split(' ')[0]);
	}
	// actStart 时间 减 actEnd 时间
	var _dateEnd = actEnd.DateDiff('s', actStart);
	return _dateEnd;
}


// 返回符号活动时间的格式 --
function isFitStrTime(_start_time){
	return formatDateForMon(_start_time);
}

//返回符号活动结束时间的格式 -- 
function isFitEndTime(_start_time, _end_time){
	var betwTime = isActStartEnd(_start_time, _end_time);
//	console.log('isFitEndTime betwTime='+betwTime);
    if(betwTime == 0){
    	return formatDateForHour(_end_time);
    }
    return formatDateForMon(_end_time);
}

/**
 * 用途：检查输入字符串是否为非空或者是非空格 
 */
function isNotNull(str) {
	return !isNull(str);
}