$(function(){
  myPoints() 
   //创建MeScroll对象,内部已默认开启下拉刷新,自动执行up.callback,刷新列表数据;
  var mescroll = new MeScroll("mescroll", {
    up: {
      callback: getListData, //上拉回调,此处可简写; 相当于 callback: function (page, mescroll) { getListData(page); }
      isBounce: false, //此处禁止ios回弹,解析(务必认真阅读,特别是最后一点): http://www.mescroll.com/qa.html#q10
      clearEmptyId: "dataList", //相当于同时设置了clearId和empty.warpId; 简化写法;默认null; 注意vue中不能配置此项
      warpId: "upscrollWarp", //让上拉进度装到upscrollWarp里面
      lazyLoad: {
            use: true // 是否开启懒加载,默认false
          }
    }
  });
  
  var navWarp=document.getElementById("navWarp");
  if(mescroll.os.ios){
    //ios的悬停效果,通过给navWarp添加nav-sticky样式来实现
    navWarp.classList.add("nav-sticky");
  }else{
    navWarp.style.height=navWarp.offsetHeight+"px";
    var navContent=document.getElementById("navContent");
    mescroll.optUp.onScroll=function(mescroll, y, isUp){
      if(y>=navWarp.offsetTop){
        navWarp.classList.add("nav-sticky");
      }else{
        navWarp.classList.remove("nav-sticky");
      }
    }
  }
  /*初始化菜单*/
  var pdType=0;
  $(".nav p").click(function(){
    var i=$(this).attr("i");
    if(pdType!=i) {
      pdType=i;
      $(".nav p").each(function(i,dom){
        if(dom.getAttribute("i")==pdType){
          dom.classList.add("active");
        }else{
          dom.classList.remove("active");
        }
      })
      mescroll.resetUpScroll();
    }
  })
  
  function getListData(page){
    //联网加载数据
    getListDataFromNet(pdType, page.num, page.size, function(curPageData){
      mescroll.endSuccess(curPageData.length);
      setListData(curPageData);
    }, function(){
       mescroll.endErr();
    });
  }
  
  /*设置列表数据*/
  function setListData(curPageData){
    var listDom=document.getElementById("dataList");
    for (var i = 0; i < curPageData.length; i++) {
      var pd=curPageData[i];
      var str='';
      var money=''
      if(pd.cash>0){
        money = '<div class="list_right" style="color: #DE322A">+'+pd.cash+'</div>'
      }else{
        money = '<div class="list_right" style="color: #65A31E">'+pd.cash+'</div>'
      }
      str +='<a href="../Points/points_detail.html?id='+pd.id+'"><div class="list_left">'+
      '<p class="list_top">'+pd.type_name+'</p>'+
      '<p class="time">'+pd.created_at+'</p>'+
      '</div>'+money+
      '</a>'
      var liDom=document.createElement("li");
      liDom.innerHTML=str;
      listDom.appendChild(liDom);
    }
  }
  
  function getListDataFromNet(pdType,pageNum,pageSize,successCallback,errorCallback) {
       $.ajax({
      url: "http://" + $domain + $secdir + "/Points/points_list",
      type: "get",
      timeout: "3000",
      dataType: "json",
      headers: { isajax: "1" },
      cache: "false",
      data: {
        type:pdType,
        p: pageNum
      },
      success: function(data) {
          $('.points').html()
          if(data.errcode==201){
            window.location = '../Login/login.html';
          }else{
            successCallback(data.data);
          }
      },
      error: function(error){
        var str = "";
        str += '<li class="action" style="display:block">';
        str += '<div class="kuangs">';
        str += '<img src="../images/ui/public/errorpage.png" class="kongs">';
        str += '<div class="kongws">页面加载失败，请检查网络</div>';
        str += '<button type="button" class="kongbtn" onclick="reqAgain()">重新加载</button>';
        str += '</div>';
        str += '</li>';
        $(".mescroll").html(str);
      },
      xhrFields: {
        withCredentials: true
      }
    });
  }
  function myPoints(){
    $.ajax({
      url: "http://" + $domain + $secdir + "/Points/points_info",
      headers: { isajax: "1" },
      type: "post",
      timeout: "15000",
      dataType: "json",
      cache: "false",
      data: {},
      success: function(data) {
        console.log(data)
        if(data.errcode==201){
          window.location = '../Login/login.html';
        }
        if(data.data){
          $('.points').html(data.data.userpoint)
        }else{
          $('.points').html('0')
        }
      },
      error: function(err) {
        var str = "";
        str += '<li class="action" style="display:block">';
        str += '<div"></div>';
        str += '<div class="kuangs">';
        str += '<img src="../images/ui/public/errorpage.png" class="kongs">';
        str += '<div class="kongws">页面加载失败，请检查网络</div>';
        str +='<button type="button" class="kongbtn" onclick="reqAgain()">重新加载</button>';
        str += "</div>";
        str += "</li>";
        $(".mescroll").html(str);
      },
      xhrFields: {
        withCredentials: true
      }
    });
  }
  $('.exchange').click(function(){
    window.location.href = "../Points/points_cash.html"
  })
  $('.label').click(function(){
    window.location.href ="../Points/points_acquire.html"
  })
});
function reqAgain(){
  location.reload()
}