var state = '';
var page = 1; // 分页
var dataFlag = 0;
var sid = "";
var tipflag = "";
var octime = null;

$(function() {
  var curNavIndex = 1; // 待付款0
  var mescrollArr = new Array(4);
  
  $(".nav p").click(function() {
    var i = Number($(this).attr("i"));
    if (curNavIndex != i) {
      // 更改列表条件
      $(".nav .active").removeClass("active");
      $(this).addClass("active");
      // 隐藏当前列表
      $("#mescroll" + curNavIndex).hide();
      // 显示对应的列表
      curNavIndex = i;
      $("#mescroll" + curNavIndex).show();
      state = curNavIndex;
      // 取出菜单所对应的mescroll对象,如果未初始化则初始化
      if (mescrollArr[i] == null)
        mescrollArr[i] = initMescroll("mescroll" + i, "dataList" + i);
    }
    // 点击回到页面顶部
    $("html,body").animate(
      {
        scrollTop: 0
      },
      500
    );
  });

  orderTime();
  function orderTime() {
    $.ajax({
      url: "http://" + $domain + $secdir + "/Index/cancel_order_time", // 请求的url地址
      dataType: "json", // 返回格式为json
      headers: {
        isajax: "1"
      },
      data: {},
      type: "post", // 请求方式
      success: function(res) {
        octime = res.time;
      }
    });

    $(".nav p").each(function() {
      if ($(this).attr("i") == state) {
        $(this).addClass("active").siblings().removeClass("active");
        // 隐藏当前列表
        $("#mescroll0").hide();
        // 显示对应的列表
        $("#mescroll" + curNavIndex).show();
      }
    });
    // 初始化首页
    mescrollArr[curNavIndex] = initMescroll("mescroll" + curNavIndex,"dataList" + curNavIndex);
  }
  /*创建MeScroll对象*/
  function initMescroll(mescrollId, clearEmptyId) {
    //创建MeScroll对象,内部已默认开启下拉刷新,自动执行up.callback,刷新列表数据;
    var mescroll = new MeScroll(mescrollId, {
      //上拉加载的配置项
      up: {
        callback: getListData, //上拉回调,此处可简写; 相当于 callback: function (page) { getListData(page); }
        noMoreSize: 4, //如果列表已无数据,可设置列表的总数量要大于半页才显示无更多数据;避免列表数据过少(比如只有一条数据),显示无更多数据会不好看; 默认5
        empty: {
          icon: "../images/ui/public/noorder.png", //图标,默认null
          tip: "暂无订单", //提示
          btntext: "马上购买 ", //按钮,默认""
          btnClick: function() {
            //点击按钮的回调,默认null
            window.location = "../Index/index.html";
          }
        },
        clearEmptyId: clearEmptyId //相当于同时设置了clearId和empty.warpId; 简化写法;默认null
      }
    });
    return mescroll;
  }

  /*联网加载列表数据  page = {num:1, size:10}; num:当前页 从1开始, size:每页数据条数 */
  function getListData(page) {
    //联网加载数据
    getListDataFromNet(page.num,function(data) {
        //联网成功的回调,隐藏下拉刷新和上拉加载的状态;
        var _endNum = 0;
        var _dataListSize = data.list.length;
        if (_dataListSize > 0 && _dataListSize == 10) {
          _endNum = 10;
        }
        if (_dataListSize > 0 && _dataListSize < 10) {
          _endNum = 1;
        }
        mescrollArr[curNavIndex].endSuccess(Number(_endNum)); //传参:数据的总数; mescroll会自动判断列表如果无任何数据,则提示空;列表无下一页数据,则提示无更多数据;
        //设置列表数据
        setListData(data);
      },
      function() {
        //联网失败的回调,隐藏下拉刷新和上拉加载的状态;
        mescrollArr[curNavIndex].endErr();
      }
    );
  }

  /*设置列表数据*/
  function setListData(data) {
    var listScript = document.getElementById("ascript" + curNavIndex);
    var listDom = document.getElementById("dataList" + curNavIndex);
    $(listScript).tmpl(data).appendTo(listDom);
  }

  /*联网加载列表数据*/
  function getListDataFromNet(page, successCallback, errorCallback) {
    if(curNavIndex==1){
      state=''
    }
    if(curNavIndex==5){
      state='5,10'
    }
    $.ajax({
      url:
        "http://" + $domain + $secdir + "/Recovery/recoveryOrder_list", // 请求的url地址
      dataType: "json", // 返回格式为json
      headers: {
        isajax: "1"
      },
      data: {
        state: state,
        p: page
      },
      type: "get", // 请求方式
      timeout: "15000",
      success: function(res) {
        if (typeof res.is_login != "undefined" && res.is_login == false) {
          window.location = "../Login/login.html";
        }
        res = res.res_data;
        successCallback(res);
      },
      error: errorpage,
      xhrFields: {
        withCredentials: true
      }
    });
  }

  // 错误回调
  function errorpage() {
    // 联网失败的回调,隐藏下拉刷新和上拉加载的状态
    mescrollArr[curNavIndex].endErr();
    $(".data-list li").remove();
    var str = "";
    str += '<li class="action" style="display:block">';
    str += '<div class="kuangs">';
    str += '<img src="../images/ui/public/errorpage.png" class="kongs">';
    str += '<div class="kongws">页面加载失败，请检查网络</div>';
    str +=
      '<button type="button" class="kongbtn" onclick="reqAgain()">重新加载</button>';
    str += "</div>";
    str += "</li>";
    $(".data-list").append(str);
  }
});
function back(){
  window.location.href="../My/my.html"
}
function reqAgain(){
  location.reload()
}
