$(function() {
  layerAlert.loading();
  var curNavIndex = 0;
  var mescrollArr = new Array(1);
  mescrollArr[0] = initMescroll("mescroll", "news_list");

  function initMescroll(mescrollId, clearEmptyId) {
    var mescroll = new MeScroll(mescrollId, {
      up: {
        callback: getListData,
        isBounce: false,
        noMoreSize: 10,
        empty: {
          tip: "暂无相关数据~"
        },
        clearEmptyId: clearEmptyId,
        lazyLoad: {
          use: true
        }
      }
    });
    return mescroll;
  }
  function getListData(page) {
    var dataIndex = curNavIndex;
    getListDataFromNet(
      dataIndex,
      page.num,
      page.size,
      function(pageData) {
        mescrollArr[dataIndex].endSuccess(pageData.list.length);
        setListData(pageData, dataIndex);
      },
      function() {
        layer.closeAll('loading');
        var str = "";
        str += '<li class="action" style="display:block;background: none;">';
        str += '<div"></div>';
        str += '<div class="kuangs">';
        str += '<img src="../images/ui/public/errorpage.png" class="kongs">';
        str += '<div class="kongws">网络连接失败，请检查网络</div>';
        str +=
          '<button type="button" class="kongbtn" onclick="onreload()">重新加载</button>';
        str += "</div>";
        str += "</li>";
        mescrollArr[dataIndex].endErr();
        $('.mescroll').html(str)
        $('.mescroll').show()
      }
    );
  }
  function setListData(pageData) {
    console.log(pageData);
    var listDom = document.querySelector(".news_list");
      var htm = "";
      for (var i = 0; i < pageData.list.length; i++) {
        var pd = pageData.list[i];
        if(pd.readnum>=10000){
          pd.readnum = pd.readnum/10000+'w'
        }else{
          pd.readnum = pd.readnum
        }
        htm +='<li><a href="../Information/newsinfo.html?id='+pd.id+'"><div class="left_img"><img src=' +pd.logourl[0] +"></div>" +
          '<div class="right_info"><p class="news">' + pd.infotitle + "</p>" +
          '<div class="readnum"><span class="left_read"> <img src="../images/reade.png" alt="" class="reade">' + pd.readnum +
          "</span>" +
          '<span class="time">' + strTODateTime(pd.update_time) + "</span>" +
          "</div></div></a></li>";
      }
      var liDom = document.createElement("li");
      liDom.innerHTML = htm;
      listDom.appendChild(liDom);
  }
  function getListDataFromNet(curNavIndex,pageNum,pageSize,successCallback,errorCallback) {
    $.ajax({
      url: "http://" + $domain + $secdir + "/Information/index_ajax",
      type: "get",
      timeout: "3000",
      dataType: "json",
      headers: { isajax: "1" },
      cache: "false",
      data: {
        p: pageNum
      },
      success: function(data) {
        var title = '<div class="top_title">'+data.data.title+'</div>'
        $('.top').html(title)
        var img = "<img src=" + data.data.pic[0] + ">";
        $(".img_box").html(img);
        successCallback(data);
        $('.mescroll').show()
        layer.closeAll('loading');
      },
      error: errorCallback,
      xhrFields: {
        withCredentials: true
      }
    });
  }
});
function onreload(){
  location.reload()
}