var states = 0;
var page = 1;// 分页
var dataFlag = 0;

var tipflag = '';
var octime = null;

$(function() {
	var curNavIndex = 0; // 待付款0
	var mescrollArr = new Array(5);
	
	// 新增请求
	states = getQueryString('states');
	if (states == null || states == '') {
		states = 0;
	}
	curNavIndex = states;
	
	$(".nav p").click(function() {
		var i = Number($(this).attr("i"));
		if (curNavIndex != i) {
			// 更改列表条件
			$(".nav .active").removeClass("active");
			$(this).addClass("active");
			// 隐藏当前列表
			$("#mescroll" + curNavIndex).hide();
			// 显示对应的列表
			curNavIndex = i;
			$("#mescroll" + curNavIndex).show(); 

			states = curNavIndex;

			// 取出菜单所对应的mescroll对象,如果未初始化则初始化
			if (mescrollArr[i] == null)
				mescrollArr[i] = initMescroll("mescroll" + i, "dataList" + i);
		}
		// 点击回到页面顶部
		$("html,body").animate({
			scrollTop : 0
		}, 500);
		console.log('curNavIndex====='+curNavIndex);
	})

	orderTime();

	function orderTime() {
		$.ajax({
			url : "http://" + $domain + $secdir + "/Index/cancel_order_time", // 请求的url地址
			dataType : "json", // 返回格式为json
			headers : {
				'isajax' : '1'
			},
			data : {},
			type : "post", // 请求方式
			success : function(res) {
				console.log(res);
				octime = res.time;

				$(".nav p").each(function() {
	                if ($(this).attr("i")==states) {
	                    $(this).addClass("active").siblings().removeClass("active");
	                    // 隐藏当前列表
	        			$("#mescroll0").hide();
	        			// 显示对应的列表
	        			$("#mescroll" + curNavIndex).show();
	                }
	            });
				// 初始化首页
				mescrollArr[curNavIndex] = initMescroll("mescroll"+curNavIndex , "dataList"+curNavIndex);
			},
			error : function() {

			},
			xhrFields : {
				withCredentials : true
			}
		})
	}
	
	
	/*创建MeScroll对象*/
	function initMescroll(mescrollId,clearEmptyId){
		//创建MeScroll对象,内部已默认开启下拉刷新,自动执行up.callback,刷新列表数据;
		var mescroll = new MeScroll(mescrollId, {
			//上拉加载的配置项
			up: {
				callback: getListData, //上拉回调,此处可简写; 相当于 callback: function (page) { getListData(page); }
				noMoreSize: 4, //如果列表已无数据,可设置列表的总数量要大于半页才显示无更多数据;避免列表数据过少(比如只有一条数据),显示无更多数据会不好看; 默认5
				empty: {
					icon: "../images/ui/public/noorder.png", //图标,默认null
					tip: "暂无订单", //提示
					btntext: "马上购买 ", //按钮,默认""
					btnClick: function(){//点击按钮的回调,默认null
						window.location = '../Kind/index.html';
					} 
				},
				clearEmptyId: clearEmptyId //相当于同时设置了clearId和empty.warpId; 简化写法;默认null
			}
		});
		return mescroll;
	}
	
	/*联网加载列表数据  page = {num:1, size:10}; num:当前页 从1开始, size:每页数据条数 */
	function getListData(page){
		//联网加载数据
		console.log("page.num="+page.num);
		getListDataFromNet(page.num, function(data){
			//联网成功的回调,隐藏下拉刷新和上拉加载的状态;
			var _endNum = 0;
			var _dataListSize = data.list.length;
			if(_dataListSize > 0 && _dataListSize == 10){
				_endNum = 10;
			}if(_dataListSize > 0 && _dataListSize < 10){
				_endNum = 1;
			}
			console.log("data.length="+Number(_endNum));
			
			mescrollArr[curNavIndex].endSuccess(Number(_endNum));//传参:数据的总数; mescroll会自动判断列表如果无任何数据,则提示空;列表无下一页数据,则提示无更多数据;
			//设置列表数据
			setListData(data);
		}, function(){
			//联网失败的回调,隐藏下拉刷新和上拉加载的状态;
			mescrollArr[curNavIndex].endErr();
		});
	}
	
	/*设置列表数据*/
	function setListData(data){
		var listScript=document.getElementById("ascript"+curNavIndex);
		var listDom=document.getElementById("dataList"+curNavIndex);
		$(listScript).tmpl(data).appendTo(listDom);
	}
	
	/*联网加载列表数据*/
	function getListDataFromNet(page,successCallback,errorCallback) {
		$(".nav p").each(function() {
            if ($(this).attr("class")=='active') {
            	states = $(this).attr("i");
            }
        });
		$.ajax({
			url : "http://" + $domain + $secdir + "/Order/order_list_page", // 请求的url地址
			dataType : "json", // 返回格式为json
			headers : {
				'isajax' : '1'
			},
			data : {
				state : states,
				p : page
			},
			type : "get", // 请求方式
			timeout : "15000",
			success : function(res) {
				if (typeof (res.is_login) != 'undefined' && res.is_login == false) {
					window.location = '../Login/login.html';
				}
				res = res.res_data;
				$("#orderCnt").html(res.zong_ding);
				$("#orderCntMoney").html(parseFloat(res.zong_keshou).toFixed(2).toString());
				$("#orderSumMoney").html(parseFloat(res.zong_yh).toFixed(2).toString());
				successCallback(res);
				if (res.list != null && res.list != '' && states == 0) {
					for (var i = 0; i < res.list.length; i++) {
							countDown(i);
					}
			}
				// 图片懒加载
				$("img.goods").lazyload({
					effect : "fadeIn"
				});
			},
			error: errorpage,
			xhrFields : {
				withCredentials : true
			}
		});
	}
	// 错误回调
	function errorpage() {
		// 联网失败的回调,隐藏下拉刷新和上拉加载的状态
		mescrollArr[curNavIndex].endErr();
		$(".data-list li").remove();
		var str = "";
		str += '<li class="action" style="display:block">';
		str += '<div class="kuangs">';
		str += '<img src="../images/ui/public/errorpage.png" class="kongs">';
		str += '<div class="kongws">页面加载失败，请检查网络</div>';
		str += '<button type="button" class="kongbtn" onclick="reqAgain()">重新加载</button>';
		str += '</div>';
		str += '</li>';
		$(".data-list").append(str);
	}

});

function reqAgain() {
	window.location.href = "../Order/order_list.html?state=" + states;
}
  // 倒计时加载
  function countDown(i) {
		var $endTime = $('#etime' + i).val();
		var $a = new Date($endTime);
		$a = new Date($a.setMinutes($a.getMinutes() +30));
		$('.losetime' + i).downCount({
		date : formatDate($a),
		offset : +8
		}, function() {
				// window.location.reload();
		});
	}
var textArr2 = [ '确认取消订单吗？', '您是否取消定制该产品，确认后将无法更改。提前取消定制将扣除您实付金额的20%的违约金，剩余资金于申请后1-3个工作日打款至您平台绑定的银行卡内，具体到账时间已以银行到账时间为准。', '您是否选择将定制产品进行邮寄，确认后将无法更改。货物于申请后15日内送达至您提供的地址，如运输途中有特殊情况，到货时间将有所延迟。',
		'您是否申请返还预付款，申请后将扣除1元/克的手续费。剩余金额将于申请后1-3个工作日内打款至您于平台绑定的银行卡内，具体到账时间已以银行到账时间为准。', '您是否已经收到货物，确认后订单将不可修改。', '您是否已经收到返还金额，确认后订单将不可修改。' ]
function alertBox2(articles) {
	layer.confirm(articles, {
		btn : [ '确定', '取消' ]
	// 按钮
	}, function() {
		if (tipflag == 0) {
			orderYesCancel2();
		} else if (tipflag == 1) {
			OrderShenq2('#qux_dz', '退款');
		} else if (tipflag == 2) {
			OrderShenq2('#youj_hj', '提金')
		} else if (tipflag == 3) {
			OrderShenq2('#mail_hq', '代售')
		} else if (tipflag == 4) {
			OrderShenq2('#shouh_o', '确认收货')
		} else if (tipflag == 5) {
			OrderShenq2('#quer_sk', '确认收款')
		}else if (tipflag == 6) {
			OrderShenq3('退款')
		}
	}, function() {
	});
	$(".layui-layer-title").html("提示：")
	$(".layui-layer-btn a").css({
		"font-size" : "0.6rem",
		"color" : "#fff",
		"border" : "none"
	})
	$(".layui-layer-btn1").css("background", "#424242")
	$(".layui-layer-btn0").css("background", "#E6BE6B")
}

function cancelNone(tip_id) {
	$(tip_id).hide();
};

// 立即付款
function orderpay2(e){
	var order_id = $(e).attr('data-id');
	window.location.href = '../Order/lijigoumai.html?id=' + order_id;
}

// 取消订单
function ordercancel2(e) {
	alertBox2(textArr2[0])
	tipflag = 0;
	// $('#shan_or').show();
	var order_id = $(e).attr('data-id');
	$('#cz_orid').val(order_id);

}
// 确认取消订单
function orderYesCancel2() {
	var order_id = $('#cz_orid').val();
	$.ajax({
		url : 'http://' + $domain + $secdir + '/Order/cancel_order1',
		type : 'post',
		timeout : "3000",
		dataType : 'json',
		headers : {
			'isajax' : '1'
		},
		cache : "false",
		data : {
			order_id : order_id,
		},
		success : function(data) {
			console.log(data);
			if (data.errcode == 100) {
				window.location = '../Order/order_list.html?states=0';
			} else {
				layerAlert.cancel();
			}
		},
		error : function(err) {
			console.log(err);
		},
		xhrFields : {
			withCredentials : true
		}
	});
};

// 取消定制
function madecancel2(e) {
	if($("#isreal").val() == 0){
		layer.confirm('请您绑定有效的银行卡，我们将资金打款至您于平台绑定的银行卡上。', {
			btn: ['确定','取消'] //按钮
		}, function(){	
			window.location.href='../My/shiming.html?id='+$("#cz_orid").val()+'&liji=list&states=5';
		}, function(){		
		});
		$(".layui-layer-title").html("提示：")
		$(".layui-layer-btn a").css({"font-size":"0.6rem","color":"#fff","border":"none"})
		$(".layui-layer-btn1").css("background","#424242")
		$(".layui-layer-btn0").css("background","#E6BE6B")         		
		return;
	}
	alertBox2(textArr2[1])
	tipflag = 1;
	// $('#qux_dz').show();
	var order_id = $(e).attr('data-id');
	$('#cz_orid').val(order_id);
}

// 邮寄回家
function mailhome2(e) {
	alertBox2(textArr2[2])
	tipflag = 2;
	// $('#youj_hj').show();
	var order_id = $(e).attr('data-id');
	$('#cz_orid').val(order_id);
}

// 卖了换钱
function madesole2(e) {
	if($("#isreal").val() == 0){
		layer.confirm('请您绑定有效的银行卡，我们将资金打款至您于平台绑定的银行卡上。', {
			btn: ['确定','取消'] //按钮
		}, function(){	
			window.location.href='../My/shiming.html?id='+$("#cz_orid").val()+'&liji=list&states=5';
		}, function(){		
		});
		$(".layui-layer-title").html("提示：")
		$(".layui-layer-btn a").css({"font-size":"0.6rem","color":"#fff","border":"none"})
		$(".layui-layer-btn1").css("background","#424242")
		$(".layui-layer-btn0").css("background","#E6BE6B")         		
		return;
	}
	alertBox2(textArr2[3])
	tipflag = 3;
	// $('#mail_hq').show();
	var order_id = $(e).attr('data-id');
	$('#cz_orid').val(order_id);
}

// 确认收货
function takeover2(e) {
	alertBox2(textArr2[4])
	tipflag = 4;
	// $('#shouh_o').show();
	var order_id = $(e).attr('data-id');
	$('#cz_orid').val(order_id);
}
function tuikuan(e){
	alertBox2("是否确认申请退款")
	tipflag = 6;
	// $('#shouh_o').show();
	var order_id = $(e).attr('data-id');
	$('#cz_orid').val(order_id);
}
// 确认收款
function madereceipt2(e) {
	alertBox2(textArr2[5])
	tipflag = 5;
	// $('#quer_sk').show();
	var order_id = $(e).attr('data-id');
	$('#cz_orid').val(order_id);
}

function querywl2(e) {
	var order_id = $(e).attr('data-id');
	window.location.href = '../Order/order_detail.html?order_id=' + order_id + '&f=list';
}

// 操作通用接口
function OrderShenq2(tip_id, strkey) {
	$(tip_id).hide();
	$.ajax({
		url : 'http://' + $domain + $secdir + '/Order/shentui',
		type : 'post',
		timeout : "3000",
		dataType : 'json',
		headers : {
			'isajax' : '1'
		},
		cache : "false",
		data : {
			id : $('#cz_orid').val(),
			key : strkey
		},
		success : function(data) {
			console.log(data);
			if (data.errcode == 100) {
				window.location.href = window.location.href;
			} else if(data.errcode==304){
                layer.confirm('请您绑定有效的银行卡，我们将资金打款至您于平台绑定的银行卡上。', {
					btn: ['确定','取消'] //按钮
					}, function(){	
					window.location.href='../My/shiming.html?id='+$("#cz_orid").val()+'&liji='+'list';
					}, function(){		
					});
				$(".layui-layer-title").html("提示：");
				$(".layui-layer-btn a").css({"font-size":"0.6rem","color":"#fff","border":"none"});
				$(".layui-layer-btn1").css("background","#424242");
				$(".layui-layer-btn0").css("background","#E6BE6B");
				return; 
            } else {
				layerAlert.deletes();
			}
		},
		error : function(err) {
			console.log(err);
		},
		xhrFields : {
			withCredentials : true
		}
	});
}
function OrderShenq3(key){
	$.ajax({
		url : 'http://' + $domain + $secdir + '/Order/xianhuo_shentui',
		type : 'post',
		timeout : "3000",
		dataType : 'json',
		headers : {
			'isajax' : '1'
		},
		cache : "false",
		data : {
			id : $('#cz_orid').val(),
			key:key
		},
		success : function(data) {
			console.log(data);
			if (data.errcode == 100) {
				window.location.href = window.location.href;
			} else if(data.errcode==304){
                layer.confirm('请您绑定有效的银行卡，我们将资金打款至您于平台绑定的银行卡上。', {
					btn: ['确定','取消'] //按钮
					}, function(){	
					window.location.href='../My/shiming.html?id='+$("#cz_orid").val()+'&liji='+'list';
					}, function(){		
					});
				$(".layui-layer-title").html("提示：");
				$(".layui-layer-btn a").css({"font-size":"0.6rem","color":"#fff","border":"none"});
				$(".layui-layer-btn1").css("background","#424242");
				$(".layui-layer-btn0").css("background","#E6BE6B");
				return; 
            } else {
				layerAlert.deletes();
			}
		},
		error : function(err) {
			console.log(err);
		},
		xhrFields : {
			withCredentials : true
		}
	});
}