var $paynum = '',ast_min_in='';
$(function() {
	version()
	if (ismobile(0) == 0) {
		$("#paynum").attr("type","number");
	} else {
		$("#paynum").attr("type","tel");
	}
	
	$("#paytype").val("3");
	layerAlert.loading();
	$.ajax({
		url : "http://" + $domain + $secdir + "/Account/account_info",
		dataType : "json",
		headers : {
			'isajax' : '1'
		},
		timeout : 3000,
		data : {},
		type : "post",
		success : function(res) {
			// if(sessionStorage.id){
			// 	window.location.href = "../My/rechargeAliok.html?id=" + sessionStorage.id;
			// }
			if (res.errcode == 100) {
				$('.next_btn').removeClass('hide');
				$('.usable_sum span').html(res.data.balance);
			} else if (res.errcode == 201) {
				$('.login_btn').removeClass('hide');
			}
			layer.closeAll('loading');
		},
		error : function(res) {
			layerAlert.error();
			sessionStorage.clear()
		},
		xhrFields : {
			withCredentials : true
		}
	})
	function version(){
		$.ajax({
			url: "http://"+$domain+$secdir+"/index/version_config",
			dataType: "json",
			headers:{'isajax':'1'},
			timeout:3000,
			data: {},
			type: "post",
			success:function(res){
			ast_min_in=res.ast_min_in
			$('.ast_min_in').html("最低充值金额"+ast_min_in)
			},
			error:function(res){
				layerAlert.error();
			},
			xhrFields : {
			withCredentials : true
			}
	 })
	}
});

// 选择支付方式
function pay_box(e) {
	$(".pay_box li .btn_onoff").removeClass("btn_on");
	$(e).find('.btn_onoff').addClass('btn_on');
	var datapay = $(e).attr('data-pay');
	$("#paytype").val(datapay);
};

// 金额不能超出1亿
function OnInput(e) {
	var $in_val = $(e).val();
	$(e).focus();
	if (Number($in_val) > Number(100000000)) {
		$(e).val(100000000);
	}
	if(parseFloat($in_val)<= parseFloat(0)){
		$(e).val(0); 
	}
	$in_val = $in_val.replace(/^(\-)*(\d+)\.(\d\d).*$/, '$1$2.$3');
	if ($in_val.indexOf(".") < 0 && $in_val != "") { // 如果没有小数点，首位不能为类似于 01、02的金额  
		$in_val = parseFloat($in_val);
    }
	$(e).val($in_val);
}
// 按钮禁用判断
$("#paynum").keyup(function() {
	this.value = this.value.replace(/[^\d.]/g, "");
	if($("#paynum").val()<Number(ast_min_in)||$("#paynum").val()==''){
	  $(".next_btn").attr("disabled", true);
    $(".next_btn").css("background", "#a3a3a3");
	}else{
		$(".next_btn").attr("disabled", false);
    $(".next_btn").css("background", "linear-gradient(270deg, rgba(66, 66, 66, 1) 0%, rgba(45, 45, 45, 1) 100%)");
	}
});


// 去充值
function rechargeGoPay() {
	var $pay_box = $("#paytype").val();
	$paynum = $("#paynum").val();
	if ($paynum <= 0 || $paynum > 100000000) {
		layerAlert.alertError('充值金额不正确,请核实');
		$("#paynum").val('');
		$("#paynum").focus();
		return;
	}else if($paynum<Number(ast_min_in)){
		layerAlert.alertError('充值金额不得小于'+ast_min_in+'元');
		return;
	}
	if ($pay_box == 1) { // 支付宝支付
		alipaypay();
	} else if ($pay_box == 3) { // 微信支付
		layerAlert.loading2("发起充值支付...");
		weixinpay();
	} else { // 发起支付失败
		layerAlert.alertError('发起支付失败，请稍后重试');
		return;
	}
}

// 支付宝支付
function alipaypay() {
	$.ajax({
		url: "http://"+$domain+$secdir+"/AppletPay/aliPayRecharge",
		dataType: "json",
		headers:{'isajax':'1'},
		timeout:3000,
		data: {
			money:$paynum,
			pay_channel: 'android',
		},
		type: "post",
		success:function(res){
			console.log(res)
			// window.location.href=`https://ds.alipay.com/?scheme=`+encodeURIComponent("alipays://platformapi/startapp?appId=2019070865748931&page=pages/index/index?orderId="+res.id+"%26type=2")
			window.location = '../pay/rechargeAlipay.html?paymoney=' + $paynum+"&order_id="+res.id;
			// sessionStorage.id = res.id
		},
		error:function(res){
			layerAlert.error();
		},
		xhrFields : {
		withCredentials : true
		}
 })
};

// 微信支付成功
function success() {
	window.location.href = "My/rechargeok.html?paymoney=" + $paynum;
}

// 微信支付失败
function error() {
	window.location.href = "My/rechargeno.html?paymoney=" + $paynum;
}

//微信支付
function weixinpay() {
	$.ajax({
		url : 'http://' + $domain + $secdir + '/Account/wxAppPay',
		headers : {
			'isajax' : '1'
		},
		type : 'post',
		timeout : "3000",
		dataType : 'json',
		cache : "false",
		data : {
			money : $paynum,
			pay_channel: 'android'
		},
		success : function(data) {
			layer.closeAll("loading");
			try {
				var partenW = window.parent;
				var parentDiv = partenW.document.getElementById('cordovaContent'); // 父窗口中定义的div
				var parentModel = partenW.justep.Bind.contextFor(parentDiv).$model;
				parentModel.payOrderByWeixin2(data.data.prepayid, success, error); // 父窗口model中定义的函数
			} catch (e) {
				layerAlert.alertError('发起支付失败,请重试');
				return;
			}
		},
		error : function(err) {
			console.log(err);
		},
		xhrFields : {
			withCredentials : true
		}
	});

};

// 微信支付
function weixinpay2() {
	$.ajax({
		url : 'http://' + $domain + $secdir + '/Account/wxpay_info_ajax',
		headers : {
			'isajax' : '1'
		},
		type : 'post',
		timeout : "3000",
		dataType : 'json',
		cache : "false",
		data : {
			money : $paynum
		},
		success : function(data) {
			try {
				var partenW = window.parent;
				var parentDiv = partenW.document.getElementById('cordovaContent'); // 父窗口中定义的div
				var parentModel = partenW.justep.Bind.contextFor(parentDiv).$model;
				parentModel.payOrderByWeixin(data.data, success, error); // 父窗口model中定义的函数
			} catch (e) {
				layerAlert.alertError('发起支付失败,请重试');
				return;
			}
		},
		error : function(err) {
			console.log(err);
		},
		xhrFields : {
			withCredentials : true
		}
	});

};

// 去登陆
function rechargeForLogin() {
	window.location = '../Login/login.html?liji=recharge';
}